function rho_fi = fullIndependenceFilter(freqPatt)

%function rho_fi = fullIndependenceFilter(freqPatt)
%-----------------------------------------------------------
% created by Jan Hrdlicka, 16.9.2010
%-----------------------------------------------------------
% Function fullIndependenceFilter.m compares frequency of the current
% itemset freqPatt{i} to the theoretical frequency in case the all items
% are independent on each other
% 
% Input is a Nx2 cell array with the frequent itemsets and its frequencies
% where N is number of frequent itemsets. In the first collumn are itemsets
% vectors, in the second are corresponding frequencies
% Output is Nx1 vector with resulting dependencies

for i = 1:size(freqPatt,1)
    if length(freqPatt{i,1})==1
        itemsProb(freqPatt{i,1}) = freqPatt{i,2};
    end
end

for i = 1:size(freqPatt,1)
    patt = freqPatt{i,1};
    rho_fi(i) = freqPatt{i,2};
    for j = 1:length(patt)
        rho_fi(i) = rho_fi(i)/itemsProb(patt(j));
    end
end

rho_fi = rho_fi';