function rho_ii = incrementalIndependenceFilter(freqPatt)
%rho_ii = incrementalIndependenceFilter(freqPatt)
%-----------------------------------------------------------
% created by Jan Hrdlicka, 16.9.2010
%-----------------------------------------------------------
% Function incrementalIndependenceFilter.m compares frequency of the current
% itemset I to the probability p(I-{a})p(a)
% 
% Input is a Nx2 cell array with the frequent itemsets and its frequencies
% where N is number of frequent itemsets. In the first collumn are itemsets
% vectors, in the second are corresponding frequencies
% Output is Nx1 vector with resulting dependencies
for i = 1:size(freqPatt,1)
    if length(freqPatt{i,1})==1
        itemsProb(freqPatt{i,1}) = freqPatt{i,2};
    end
end

for i = 1:size(freqPatt,1)
    patt = freqPatt{i,1};
    if length(patt)==1
        rho_ii(i)= 1;
    else
        adepts = [];
        for j = 1:length(patt)
            smallPatt = patt;
            a = smallPatt(j);
            smallPatt(j) = [];
            for k = 1:size(freqPatt)
                if length(smallPatt)==length(freqPatt{k,1})
                    if smallPatt==freqPatt{k,1}
                        adepts(end+1) = freqPatt{i,2}/freqPatt{k,2}/itemsProb(a);
                    end
                end
            end
        end
        rho_ii(i) = min(adepts);
    end
end

rho_ii = rho_ii';